API referenceApprovals

GET /actions/{id}

One queued action: its status, the exact call (as edited by the reviewer), and the result or error once it ran

GET
/actions/{id}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Pending action id

Response Body

{action}

application/json
  1. response
action?
Example Request
curl -X GET 'https://example.com/api/v1/actions/string'
Example Response
{  "action": {    "id": "string",    "kind": "string",    "status": "pending_approval",    "accountIds": [      "string"    ],    "operation": "string",    "args": [      null    ],    "text": "string",    "editable": true,    "edited": true,    "payloadSha256": "string",    "approvedSha256": "string",    "proposedBy": {      "type": "api_key",      "via": "api",      "keyId": "string",      "oauthGrantId": "string",      "clientId": "string",      "name": "string",      "userId": "string"    },    "review": {      "reviewedAt": "2019-08-24T14:15:22Z",      "reviewedByUserId": "string",      "rejectReason": "string",      "editedAt": "2019-08-24T14:15:22Z",      "editedByUserId": "string"    },    "executedAt": "2019-08-24T14:15:22Z",    "result": null,    "error": {      "message": "string",      "code": "string"    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}